complexType "FloatingRate"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | floatingRateIndex?, indexTenor?, spreadSchedule*
</...>

Content Model Elements (3):

  floatingRateIndex (defined in FloatingRateIndex.model group),
  indexTenor,
  spreadSchedule

Known Direct Subtypes (1):

  FloatingRateCalculation

All Direct / Indirect Based Elements (3):

  floatingRate,
  floatingRateCalculation,
  floatingRateCalculation (defined in InterestAccrualsMethod complexType)

Known Usage Locations

- In derivations of other global types (1):
  FloatingRateCalculation (as extension base)
- As direct type of elements (1):
  floatingRate

Annotation
A type defining a floating rate.
Type Definition Detail

Type Derivation Tree Rate (extension) FloatingRate

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FloatingRate"> <xsd:complexContent> <xsd:extension base="Rate"> <xsd:sequence> <xsd:group ref="FloatingRateIndex.model"/> <!--View Generation: SKIPPED floatingRateMultiplierSchedule - Unsupported--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"/> <!--View Generation: SKIPPED rateTreatment - Documentation--> <!--View Generation: SKIPPED capRateSchedule - Unsupported--> <!--View Generation: SKIPPED floorRateSchedule - Unsupported--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
spreadSchedule

  Type: | SpreadSchedule, complex content

  The ISDA Spread or a Spread schedule expressed as explicit spreads and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.